{
  Installation script for GIP packages
  mpistora
}

procedure GeoTagAddCategory(value: string);
var
  geo: TGeo;
begin
  geo := TGeo.Create;
  geo.TagAdd(value, '' );
  geo.Free;
end;



{Do install tasks here.}
function InstallWork: string;
var
  SCRIPTDIR: string;
begin
  SCRIPTDIR := GEOGET_SCRIPTDIR + '\foundtime\';
  if (GeoGetPluginGroup(SCRIPTDIR + 'FoundTime.ggp.pas') = GeoGetDefaultGroup) or
     (GeoGetPluginGroup(SCRIPTDIR + 'FoundTime.ggp.pas') = '') then
  begin
    GeoSetPluginGroup(SCRIPTDIR + 'FoundTime.ggp.pas', 'FoundTime');
    GeoSetPluginGroup(SCRIPTDIR + 'VisitTime.ggp.pas', 'FoundTime');
    GeoSetPluginGroup(SCRIPTDIR + 'DeleteFoundTime.ggp.pas', 'FoundTime');
    GeoSetToolbar(SCRIPTDIR + 'FoundTime.ggp.pas', true);
    GeoSetToolbar(SCRIPTDIR + 'VisitTime.ggp.pas', true);
    GeoTagAddCategory('FoundTime');
  end;
  Result := '';
end;

{Do Uninstall tasks here.}
function UninstallWork: string;
begin
  Result := '';
end;